var musicSource : AudioSource;
var musicState : boolean;
var musicVolume : float;
var fxState : boolean;
var fxVolume : float;

var musicStyle : GUIStyle;
var fxStyle : GUIStyle;

function OnGUI(){
	musicState = GUI.Toggle(Rect(Screen.width-64,96,64,64), musicState, "", musicStyle);
	if(musicState){
		musicSource.volume = musicVolume;
	}
	else{
		musicSource.volume = 0.0;
	}
	
	
	fxState = GUI.Toggle(Rect(Screen.width-64,160,64,64), fxState, "", fxStyle);
	if(fxState){
		SoundEffect.volume = fxVolume;
	}
	else{
		SoundEffect.volume = 0.0;
	}
}